New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Ubuntu 14.04 Trusty not supported #53

Closed
yudialcampari opened this Issue Jan 17, 2015 · 5 comments

Comments

Projects
None yet
5 participants
@yudialcampari

yudialcampari commented Jan 17, 2015

With Linux Mint 17.1, shows "Your distribution, identified as "trusty", is not currently supported"

syamil@NADIA:~ > curl -sL https://deb.nodesource.com/setup | sudo bash -

## Populating apt-get cache...

+ apt-get update                                                                                                                                                                                
Ign http://extra.linuxmint.com rebecca InRelease                                                                                                                                                
Ign http://packages.linuxmint.com rebecca InRelease                            
Get:1 http://extra.linuxmint.com rebecca Release.gpg [198 B]                   
Ign http://archive.ubuntu.com trusty InRelease                                 
Ign http://security.ubuntu.com trusty-security InRelease                       
Get:2 http://packages.linuxmint.com rebecca Release.gpg [198 B]                
Get:3 http://extra.linuxmint.com rebecca Release [3.152 B]                     
Get:4 http://security.ubuntu.com trusty-security Release.gpg [933 B]           
Get:5 http://packages.linuxmint.com rebecca Release [24,1 kB]                  
Ign http://archive.ubuntu.com trusty-updates InRelease                         
Get:6 http://extra.linuxmint.com rebecca/main amd64 Packages [7.902 B]         
Get:7 http://security.ubuntu.com trusty-security Release [62,0 kB]             
Get:8 http://extra.linuxmint.com rebecca/main i386 Packages [7.889 B]          
Hit http://archive.ubuntu.com trusty Release.gpg                               
Get:9 http://packages.linuxmint.com rebecca/main amd64 Packages [32,2 kB]      
Get:10 http://archive.ubuntu.com trusty-updates Release.gpg [933 B]            
Get:11 http://security.ubuntu.com trusty-security/main amd64 Packages [196 kB] 
Get:12 http://packages.linuxmint.com rebecca/upstream amd64 Packages [30,0 kB] 
Hit http://archive.ubuntu.com trusty Release                                   
Get:13 http://packages.linuxmint.com rebecca/import amd64 Packages [218 kB]    
Get:14 http://archive.ubuntu.com trusty-updates Release [62,0 kB]              
Get:15 http://security.ubuntu.com trusty-security/restricted amd64 Packages [8.875 B]
Get:16 http://security.ubuntu.com trusty-security/universe amd64 Packages [84,2 kB]
Get:17 http://security.ubuntu.com trusty-security/multiverse amd64 Packages [1.166 B]
Get:18 http://packages.linuxmint.com rebecca/main i386 Packages [31,5 kB]      
Get:19 http://security.ubuntu.com trusty-security/main i386 Packages [187 kB]  
Ign http://extra.linuxmint.com rebecca/main Translation-en_US                  
Hit http://archive.ubuntu.com trusty/main amd64 Packages                       
Get:20 http://packages.linuxmint.com rebecca/upstream i386 Packages [30,0 kB]  
Ign http://extra.linuxmint.com rebecca/main Translation-en                     
Get:21 http://security.ubuntu.com trusty-security/restricted i386 Packages [8.846 B]
Hit http://archive.ubuntu.com trusty/restricted amd64 Packages                 
Get:22 http://security.ubuntu.com trusty-security/universe i386 Packages [84,2 kB]
Get:23 http://packages.linuxmint.com rebecca/import i386 Packages [219 kB]     
Hit http://archive.ubuntu.com trusty/universe amd64 Packages                   
Get:24 http://security.ubuntu.com trusty-security/multiverse i386 Packages [1.412 B]
Hit http://security.ubuntu.com trusty-security/main Translation-en             
Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages                 
Hit http://security.ubuntu.com trusty-security/multiverse Translation-en       
Hit http://archive.ubuntu.com trusty/main i386 Packages                        
Hit http://security.ubuntu.com trusty-security/restricted Translation-en       
Hit http://security.ubuntu.com trusty-security/universe Translation-en         
Hit http://archive.ubuntu.com trusty/restricted i386 Packages                  
Hit http://archive.ubuntu.com trusty/universe i386 Packages                    
Hit http://archive.ubuntu.com trusty/multiverse i386 Packages                  
Hit http://archive.ubuntu.com trusty/main Translation-en                       
Hit http://archive.ubuntu.com trusty/multiverse Translation-en                 
Hit http://archive.ubuntu.com trusty/restricted Translation-en                 
Hit http://archive.ubuntu.com trusty/universe Translation-en                   
Get:25 http://archive.ubuntu.com trusty-updates/main amd64 Packages [398 kB]   
Get:26 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [8.875 B]
Ign http://packages.linuxmint.com rebecca/import Translation-en_US             
Ign http://packages.linuxmint.com rebecca/import Translation-en                
Ign http://packages.linuxmint.com rebecca/main Translation-en_US               
Get:27 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [239 kB]
Ign http://packages.linuxmint.com rebecca/main Translation-en                  
Ign http://packages.linuxmint.com rebecca/upstream Translation-en_US           
Ign http://packages.linuxmint.com rebecca/upstream Translation-en              
Get:28 http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages [9.373 B]
Get:29 http://archive.ubuntu.com trusty-updates/main i386 Packages [390 kB]    
Get:30 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [8.846 B]
Get:31 http://archive.ubuntu.com trusty-updates/universe i386 Packages [240 kB]
Get:32 http://archive.ubuntu.com trusty-updates/multiverse i386 Packages [9.567 B]
Hit http://archive.ubuntu.com trusty-updates/main Translation-en               
Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en         
Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en         
Hit http://archive.ubuntu.com trusty-updates/universe Translation-en           
Ign http://archive.ubuntu.com trusty/main Translation-en_US                    
Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US              
Ign http://archive.ubuntu.com trusty/restricted Translation-en_US              
Ign http://archive.ubuntu.com trusty/universe Translation-en_US                
Ign http://archive.canonical.com trusty InRelease                              
Hit http://archive.canonical.com trusty Release.gpg
Hit http://archive.canonical.com trusty Release
Hit http://archive.canonical.com trusty/partner amd64 Packages
Hit http://archive.canonical.com trusty/partner i386 Packages
Ign http://archive.canonical.com trusty/partner Translation-en
Fetched 2.606 kB in 2min 30s (17,4 kB/s)
Reading package lists... Done

## You seem to be using Linux Mint version rebecca.
## This maps to Ubuntu "trusty"... Adjusting for you...

## Confirming "trusty" is supported...

+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node/dists/trusty/Release'

## Your distribution, identified as "trusty", is not currently supported, please contact NodeSource at https://github.com/nodesource/distributions/issues if you think this is incorrect or would like your distribution to be considered for support

syamil@NADIA:~ >

Tag @ceefour

@yudialcampari yudialcampari changed the title from Trusty not supported to Ubuntu 14.04 Trusty not supported Jan 17, 2015

@rvagg

This comment has been minimized.

Show comment
Hide comment
@rvagg

rvagg Jan 18, 2015

Member

most likely a proxy problem, have a look at #9 and try the workaround suggested in there to preserve proxy env vars:

curl -sL https://deb.nodesource.com/setup | sudo -E bash -
Member

rvagg commented Jan 18, 2015

most likely a proxy problem, have a look at #9 and try the workaround suggested in there to preserve proxy env vars:

curl -sL https://deb.nodesource.com/setup | sudo -E bash -
@ceefour

This comment has been minimized.

Show comment
Hide comment
@ceefour

ceefour Jan 18, 2015

We used the good old Ubuntu style installation:

sudo add-apt-repository 'deb https://deb.nodesource.com/node trusty main'
# Cannot work on ITB Proxy, so just ignore
#sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 68576280
sudo aptitude update
sudo aptitude install nodejs

I'd suggest putting the conventional way of installing packages in the docs, it's more user-friendly for those already knowing their OS (better than NodeSource's script) and it's easier to put such steps into configuration management (e.g. Puppet and friends) than an opaque script.

ceefour commented Jan 18, 2015

We used the good old Ubuntu style installation:

sudo add-apt-repository 'deb https://deb.nodesource.com/node trusty main'
# Cannot work on ITB Proxy, so just ignore
#sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 68576280
sudo aptitude update
sudo aptitude install nodejs

I'd suggest putting the conventional way of installing packages in the docs, it's more user-friendly for those already knowing their OS (better than NodeSource's script) and it's easier to put such steps into configuration management (e.g. Puppet and friends) than an opaque script.

@ceefour

This comment has been minimized.

Show comment
Hide comment
@ceefour

ceefour Mar 17, 2015

@dachary who is meteornetworks.com ? That's probably your ISP or wifi router....

ceefour commented Mar 17, 2015

@dachary who is meteornetworks.com ? That's probably your ISP or wifi router....

@erresen

This comment has been minimized.

Show comment
Hide comment
@erresen

erresen May 29, 2015

Confirmed solution for me behind corporate proxy is as @rvagg commented, from #9: Add -E to sudo to preserve env vars.
curl -sL https://deb.nodesource.com/setup_0.12 | sudo -E bash -

erresen commented May 29, 2015

Confirmed solution for me behind corporate proxy is as @rvagg commented, from #9: Add -E to sudo to preserve env vars.
curl -sL https://deb.nodesource.com/setup_0.12 | sudo -E bash -

@retrohacker

This comment has been minimized.

Show comment
Hide comment
@retrohacker

retrohacker Jun 6, 2016

Contributor

Adding instructions to README.md for using the script from behind a proxy.

Will land in #308

Contributor

retrohacker commented Jun 6, 2016

Adding instructions to README.md for using the script from behind a proxy.

Will land in #308

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment